<?php 
if ( !defined('ABSPATH')) exit; 
//HEADER MARKUP
function canvas_head() {
 ?>
 <!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php wp_head(); ?>
</head>
  <?php 
                    }//end header markup

add_action( 'canvas_header_markup', 'canvas_head' );

// BODY TAG OPENING
function canvas_body() {
 ?>
<body <?php body_class(); ?>>
<?php 
                    }//open body tag

add_action( 'canvas_body_tag', 'canvas_body' );

// ARTICLE TAG OPENING
function canvas_article_post_class() {
 ?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> >
<?php 
                    }//open article postclass

add_action( 'canvas_article_postclass', 'canvas_article_post_class' );

// NAVIGATIONS
function canvas_navigation() {
   wp_nav_menu(array(
    'theme_location' => 'navi', 
    'container' => false, 
    'menu_id' => 'nav-primary', 
    'echo' => true, 
    'before' => '', 
    'after' => '', 
    'link_before' => '', 
    'link_after' => '', 
    'depth' => 0));

}
add_action( 'canvas_nav', 'canvas_navigation' );

// CLEARING FLOAT
function canvas_clearing_float() {
 ?>
<div class="clear"></div>
<?php 
                    }//end clearing float

add_action( 'canvas_clear', 'canvas_clearing_float' );

// CLEARING FLOAT WITHOUT MARGIN
function canvas_clearfix_float() {
 ?>
<div class="clearfix"></div>
<?php 
                    }//end clearing float

add_action( 'canvas_clearfix', 'canvas_clearfix_float' );

// CLOSE ARTICLE TAG
function canvas_close_article_tag() {
  ?>
  </article>
<?php 
                    }//end close article tag

add_action( 'canvas_close_articletag', 'canvas_close_article_tag' );

// CANVAS SIDEBAR WIDGET RIGHT
function canvas_a_sidebar() {
  if (!dynamic_sidebar('main-sidebar')) :      
  endif;
                    }//end asidebar

add_action( 'canvas_asidebar', 'canvas_a_sidebar' );

// OPEN SITE TITLE
function canvas_open_site_title() {
  ?>
         <h1 class="site-title"><a href="<?php echo home_url(); ?>"><?php bloginfo('title'); ?></a></h1>
<?php 
                    }//end open site title

add_action( 'canvas_site_title', 'canvas_open_site_title' );

// TITLE PERMALINK
function canvas_title_permalink() {
  ?>
 <h1 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
  <?php 
                    }//end title permalink

add_action( 'canvas_permalink', 'canvas_title_permalink' );

// NAV SINGLE POST
function canvas_nav_single() {
  ?>
                                <nav class="nav-single">
					<span class="alignleft"><?php previous_post_link( '%link', '<span class="meta-nav">' . _x( '&larr;', 'Previous post link', 'canvas' ) . '</span> %title' ); ?></span>
					<span class="alignright"><?php next_post_link( '%link', '%title <span class="meta-nav">' . _x( '&rarr;', 'Next post link', 'canvas' ) . '</span>' ); ?></span>
				</nav><!-- .nav-single -->

  <?php 
                    }//end nav single post

add_action( 'canvas_navsingle', 'canvas_nav_single' );

// FOOTER HOOK
function canvas_footer_hook() {
  ?>
                   <div class="credit">
	 <p class="brand-note"><a href="<?php echo home_url('/') ?>" title="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>">
<?php bloginfo('name'); ?></a> | <a href="<?php echo esc_url(__('http://amdhas.com','amdhas')); ?>" title="<?php esc_attr_e('canvas', 'canvas'); ?>"><?php printf('canvas'); ?></a> powered by <a href="<?php echo esc_url(__('http://wordpress.org','canvas')); ?>" title="<?php esc_attr_e('WordPress', 'canvas'); ?>"><?php printf('WordPress'); ?></a></p>
                    </div>
<?php wp_footer(); ?>
</body>
</html>

  <?php 
                    }//end footer hook

add_action( 'canvas_footerhook', 'canvas_footer_hook' );

// ARCHIVES TITLE HOOK
function canvas_archive_title() {
?>
<h1 class="site-title">
<?php
        if ( is_day() ) {
          printf( __( 'Daily Archives: %s', 'canvas' ), '<span>' . get_the_date() . '</span>' );
        } elseif ( is_month() ) {
          printf( __( 'Monthly Archives: %s', 'canvas' ), '<span>' . get_the_date( _x( 'F Y', 'monthly archives date format', 'canvas' ) ) . '</span>' );
        } elseif ( is_search() ) {
          _e('Search results for ', 'canvas'); echo get_search_query();
        } elseif ( is_author() ) {
         printf( __( 'Author Archives %s', 'canvas' ), '<span class="vcard"><a class="url fn n" href="' . esc_url( get_author_posts_url( get_the_author_meta( "ID" ) ) ) . '" title="' . esc_attr( get_the_author() ) . '" rel="me">' . get_the_author() . '</a></span>' );
        } elseif ( is_year() ) {
          printf( __( 'Yearly Archives: %s', 'canvas' ), '<span>' . get_the_date( _x( 'Y', 'yearly archives date format', 'canvas' ) ) . '</span>' );
        } elseif ( is_tag() ) {
          printf( __( 'Tag Archives: %s', 'canvas' ), '<span>' . single_tag_title( '', false ) . '</span>' );
          // Show an optional tag description
          $tag_description = tag_description();
          if ( $tag_description )
            echo apply_filters( 'tag_archive_meta', '<div class="tag-archive-meta">' . $tag_description . '</div>' );
        } elseif ( is_category() ) {
          printf( __( 'Category Archives: %s', 'canvas' ), '<span>' . single_cat_title( '', false ) . '</span>' );
          // Show an optional category description
          $category_description = category_description();
          if ( $category_description )
            echo apply_filters( 'category_archive_meta', '<div class="category-archive-meta">' . $category_description . '</div>' );
        } else {
          _e( 'Blog Archives', 'canvas' );
        }
?>
					
</h1>
					
<?php
}

// FUNCTIONS FOR ENTRY META
function canvas_info() {
?>
<footer class="entry-meta">
			<?php canvas_entry_meta(); ?>
			<?php edit_post_link( __( 'Edit', 'canvas' ), '<span class="edit-link">', '</span>' ); ?>
			<?php if ( is_singular() && get_the_author_meta( 'description' ) && is_multi_author() ) : // If a user has filled out their description and this is a multi-author blog, show a bio on their entries. ?>
				<div class="author-info">
					<div class="author-avatar">
						<?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'canvas_author_bio_avatar_size', 68 ) ); ?>
					</div><!-- .author-avatar -->
					<div class="author-description">
						<h2><?php printf( __( 'About %s', 'canvas' ), get_the_author() ); ?></h2>
						<p><?php the_author_meta( 'description' ); ?></p>
						<div class="author-link">
							<a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
								<?php printf( __( 'View all posts by %s <span class="meta-nav">&rarr;</span>', 'canvas' ), get_the_author() ); ?>
							</a>
						</div><!-- .author-link	-->
					</div><!-- .author-description -->
				</div><!-- .author-info -->
			<?php endif; ?>
		</footer><!-- .entry-meta -->
<?php
}
//COMMENT PAGE TEMPLATE
function canvas_comment_page() {
  ?>
<div id="comments">
	<?php if ( post_password_required() ) : ?>
		<p class="nopassword"><?php _e( 'This post is password protected. Enter the password to view any comments.', 'canvas' ); ?></p>
	</div><!-- #comments -->
	<?php
			
			return;
		endif;
	?>
	<?php // You can start editing here -- including this comment! ?>
	<?php if ( have_comments() ) : ?>
		<h2 id="comments-title">
			<?php
				printf( _n( 'One thought on &ldquo;%2$s&rdquo;', '%1$s thoughts on &ldquo;%2$s&rdquo;', get_comments_number(), 'canvas' ),
					number_format_i18n( get_comments_number() ), '<span>' . get_the_title() . '</span>' );
			?>
		</h2>
		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<nav id="comment-nav-above">
			<h1 class="assistive-text"><?php _e( 'Comment navigation', 'canvas' ); ?></h1>
			<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'canvas' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'canvas' ) ); ?></div>
		</nav>
		<?php endif; // check for comment navigation ?>

		<ol class="commentlist">
			<?php
				wp_list_comments( array( 'callback' => 'canvas_comment' ) );
			?>
		</ol>

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<nav id="comment-nav-below">
			<h1 class="assistive-text"><?php _e( 'Comment navigation', 'canvas' ); ?></h1>
			<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'canvas' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'canvas' ) ); ?></div>
		</nav>
		<?php endif; // check for comment navigation ?>

	<?php
		elseif ( ! comments_open() && ! is_page() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
		<p class="nocomments"><?php _e( 'Comments are closed.', 'canvas' ); ?></p>
	<?php endif; ?>

	<?php comment_form(); ?>

</div><!-- #comments -->

  <?php
}

// IF POST NOT FOUND
function canvas_post_notfound() {
?>
                                        <article id="post-not-found">
					    <header>
					    	<h1><?php _e("Not Found", "canvas"); ?></h1>
					    </header>
					    <section class="post_content">
					    	<p><?php _e("Sorry, but the requested resource was not found on this site.", "canvas"); ?></p>
					    </section>
					 </article>	
<?php
}

// 404 EROR PAGE
function canvas_post_404() {
?>
                       <article>
				<div class="eror404 centering">                                    
					<h1 class="site-title"><?php _e( 'This is somewhat embarrassing, isn&rsquo;t it?', 'canvas' ); ?></h1>
					<p class="entry-title"><?php _e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'canvas' ); ?></p>                                      
					<?php get_search_form(); ?>
                                </div>
			</article>
<?php
}
add_action( 'canvas_post404', 'canvas_post_404' );

// HEADER DESCRIPTION
function canvas_description_site() {
?>
         <h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
<?php
}
add_action( 'canvas_description', 'canvas_description_site' );

// HEADER MASTHEAD
function canvas_header_masthead() {
?>
         <header id="masthead" class="site-header" role="banner">
<?php
}
add_action( 'canvas_masthead', 'canvas_header_masthead' );

// HEADER CLOSE TAG
function canvas_header_close_tag() {
?>
         </header>
<?php
}
add_action( 'canvas_header_close', 'canvas_header_close_tag' );

// HEADER IMAGE
function canvas_header_image() {
  $header_image = get_header_image();
		if ( ! empty( $header_image ) ) : ?>
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url( $header_image ); ?>" class="header-image" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" alt="" /></a>
		<?php endif;
}
add_action( 'canvas_headerimage', 'canvas_header_image' );

/* ==============================================================
 Simple grid responsive css 12 coloumn by Hendro Prayitno = me
================================================================= */
// ROW OPENING GRID 12 COLOUMN
function canvas_row() {
 ?>
  <div class="row">
<?php 
     }
//end open row

// GRID ONE
function canvas_grid_one() {
  ?>
  <div class="one">
<?php 
     }
//end grid one

// GRID TWO
function canvas_grid_two() {
  ?>
  <div class="two">
<?php 
    }
//end grid two

// GRID THRE
function canvas_grid_thre() {
  ?>
  <div class="thre">
<?php 
    }
//end grid thre

// GRID FOUR
function canvas_grid_four() {
  ?>
  <div class="four">
<?php 
    }
//end grid four

// GRID FIVE
function canvas_grid_five() {
  ?>
  <div class="five">
<?php 
    }
//end grid five

// GRID SIX
function canvas_grid_six() {
  ?>
  <div class="six">
<?php 
    }
//end grid six

// GRID SEVEN
function canvas_grid_seven() {
  ?>
  <div class="seven">
<?php 
    }
//end grid seven

// GRID EIGHT
function canvas_grid_eight() {
  ?>
  <div class="eight">
<?php 
    }
//end grid eight

// GRID NINE
function canvas_grid_nine() {
  ?>
  <div class="nine">
<?php 
    }
//end grid nine

// GRID TEN
function canvas_grid_ten() {
  ?>
  <div class="ten">
<?php 
    }
//end grid ten

// GRID ELEVEN
function canvas_grid_eleven() {
  ?>
  <div class="eleven">
<?php 
    }
//end grid eleven

// GRID TWELVE
function canvas_grid_twelve() {
  ?>
  <div class="twelve">
<?php 
    }
//end grid twelve

// CLOSE DIV
function canvas_close_div() {
  ?>
  </div>
<?php 
    }
//end close div

/* ==============================================================
 Now take action on the grid and is easily
================================================================= */
      add_action( 'canvas_open_row', 'canvas_row' );
      add_action( 'canvas_one', 'canvas_grid_one' );
      add_action( 'canvas_two', 'canvas_grid_two' );
      add_action( 'canvas_thre', 'canvas_grid_thre' );
      add_action( 'canvas_four', 'canvas_grid_four' );
      add_action( 'canvas_five', 'canvas_grid_five' );
      add_action( 'canvas_six', 'canvas_grid_six' );
      add_action( 'canvas_seven', 'canvas_grid_seven' );
      add_action( 'canvas_eight', 'canvas_grid_eight' );
      add_action( 'canvas_nine', 'canvas_grid_nine' );
      add_action( 'canvas_ten', 'canvas_grid_ten' );
      add_action( 'canvas_eleven', 'canvas_grid_eleven' );
      add_action( 'canvas_twelve', 'canvas_grid_twelve' );
      add_action( 'canvas_closediv', 'canvas_close_div' );

/* End of file structure.php */
/* Location: /wp-content/themes/canvas/inc/structure.php */